slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSReset

Resets the DS context to the initial state.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSReset(DS ds)

Collective

### Input Parameter

| ds | - the direct solver context

### Note

All data structures with size depending on the leading dimension of DSAllocate() are released.

### See Also

DSDestroy(), DSAllocate()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages